Subject: Re: Multicast Routing Kernel option?

From: Andi Kleen <[email-masked]>
Date: Fri, 15 Aug 2008 16:13:24 +0200

Jonathan Day <[email-masked]> writes:

> They could, I guess, but context switches are expensive (think 20ms
> from kernel to user, and same in reverse)

40ms for a system call? That would be really horrible if it really
were that slow. Fortunately it's not. A Core2 (Merom) here can do a
very simple system call roundtrip (getppid()) in ~570 cycles, that is
at 2Ghz less than 300ns. You are roughly 5 orders of magnitude off.
 
-Andi